package co.yixiang.yshop.module.member.convert.userinvitelog;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.userinvitelog.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.userinvitelog.UserInviteLogDO;

/**
 * 邀请日志 Convert
 *
 * @author admin
 */
@Mapper
public interface UserInviteLogConvert {

    UserInviteLogConvert INSTANCE = Mappers.getMapper(UserInviteLogConvert.class);

    UserInviteLogDO convert(UserInviteLogCreateReqVO bean);

    UserInviteLogDO convert(UserInviteLogUpdateReqVO bean);

    UserInviteLogRespVO convert(UserInviteLogDO bean);

    List<UserInviteLogRespVO> convertList(List<UserInviteLogDO> list);

    PageResult<UserInviteLogRespVO> convertPage(PageResult<UserInviteLogDO> page);

    List<UserInviteLogExcelVO> convertList02(List<UserInviteLogDO> list);

}
